package		CurrentParagraph;
require		Exporter;
@ISA =		qw(Exporter);
@EXPORT =	qw(FlushCurrentParagraph);

# (C) 1999 David C. Fox
# This code may be freely reproduced and modified, provided 
# 1. This copyright notice is retained, 
# and
# 2. substantial modifications are indicated, together with the author's
# name, in any redistributed versions.

use strict;
use English;

use MakeParagraph ();
use OutFile ();

#############################
# Parsing Support Subroutines
#############################

sub FlushCurrentParagraph {
  my ($output_file_ref, $paragraph_ref, $new_lines) = @_;
  my $term = "\n\n";
  if ( defined($new_lines) ) {
    $term = "\n" x $new_lines;
  }
  if ( ! ($paragraph_ref->empty())) {
    $output_file_ref->print($paragraph_ref->string());
    $output_file_ref->print($term);
    $paragraph_ref->clear();
  }
}
