package		EquationSpecial;
require		Exporter;
use		LatexSpecial ();
@ISA =		qw(LatexSpecial);
@EXPORT =	qw(new);

use strict;
use English;

# (C) 1999 David C. Fox
# This code may be freely reproduced and modified, provided 
# 1. This copyright notice is retained, 
# and
# 2. substantial modifications are indicated, together with the author's
# name, in any redistributed versions.


sub new {
  my $invoked = shift;
  my $type = ref( $invoked);
  if ( $type) {
    my %other = $$invoked;
    return (bless \%other, $type);
  }
  my $h = {
    "subscript" => "_",
    "super script" => "\^",
    "equal sign" => "=",
    "plus sign" => "+",
    "minus sign" => "-",
    "greater than" => ">",
    "less than" => "<"
  };
#   print ref( $h);
#   print "here\n";
  my $self = new LatexSpecial($h);
  return (bless $self, $invoked);
}

