package		NLXSpecial;
require		Exporter;
use		QuoteMe ();
@ISA =		qw(QuoteMe);
@EXPORT =	qw(new);

use strict;
use English;
# (C) 1999 David C. Fox
# This code may be freely reproduced and modified, provided 
# 1. This copyright notice is retained, 
# and
# 2. substantial modifications are indicated, together with the author's
# name, in any redistributed versions.

sub new {
  my $invoked = shift;
  my $type = ref( $invoked);
  if ( $type) {
    my %other = $$invoked;
    return (bless \%other, $type);
  }
  my $additional = shift;
  my %h = (
    "macro" => "\\",
    "equation" => '"',
    "begin group" => "{",
    "end group" => "}",
    "begin comment" => "%",
    "tie words" => "~",
    "dollar sign" => '$',
    "number sign" => "#"
  );
  if ( ref( $additional)) {
    %h = (%h, %$additional);
  }
#   print ref( $h);
#   print "here\n";
  my $self = new QuoteMe(\%h);
  return (bless $self, $invoked);
}

